import * as e from "react";
import { cn as r } from "./index.es7.js";
const o = e.forwardRef(({ className: a, ...t }, l) => /* @__PURE__ */ e.createElement("div", { className: "relative w-full overflow-auto" }, /* @__PURE__ */ e.createElement(
  "table",
  {
    ref: l,
    className: r("w-full caption-bottom text-sm", a),
    ...t
  }
)));
o.displayName = "Table";
const d = e.forwardRef(({ className: a, ...t }, l) => /* @__PURE__ */ e.createElement("thead", { ref: l, className: r("[&_tr]:border-b", a), ...t }));
d.displayName = "TableHeader";
const s = e.forwardRef(({ className: a, ...t }, l) => /* @__PURE__ */ e.createElement(
  "tbody",
  {
    ref: l,
    className: r("[&_tr:last-child]:border-0", a),
    ...t
  }
));
s.displayName = "TableBody";
const m = e.forwardRef(({ className: a, ...t }, l) => /* @__PURE__ */ e.createElement(
  "tfoot",
  {
    ref: l,
    className: r(
      "border-t bg-muted/50 font-medium [&>tr]:last:border-b-0",
      a
    ),
    ...t
  }
));
m.displayName = "TableFooter";
const c = e.forwardRef(({ className: a, ...t }, l) => /* @__PURE__ */ e.createElement(
  "tr",
  {
    ref: l,
    className: r(
      "border-b transition-colors hover:bg-muted/50 data-[state=selected]:bg-muted",
      a
    ),
    ...t
  }
));
c.displayName = "TableRow";
const b = e.forwardRef(({ className: a, ...t }, l) => /* @__PURE__ */ e.createElement(
  "th",
  {
    ref: l,
    className: r(
      "h-10 px-2 text-left align-middle font-medium text-muted-foreground [&:has([role=checkbox])]:pr-0 [&>[role=checkbox]]:translate-y-[2px]",
      a
    ),
    ...t
  }
));
b.displayName = "TableHead";
const n = e.forwardRef(({ className: a, ...t }, l) => /* @__PURE__ */ e.createElement(
  "td",
  {
    ref: l,
    className: r(
      "p-2 align-middle [&:has([role=checkbox])]:pr-0 [&>[role=checkbox]]:translate-y-[2px]",
      a
    ),
    ...t
  }
));
n.displayName = "TableCell";
const f = e.forwardRef(({ className: a, ...t }, l) => /* @__PURE__ */ e.createElement(
  "caption",
  {
    ref: l,
    className: r("mt-4 text-sm text-muted-foreground", a),
    ...t
  }
));
f.displayName = "TableCaption";
export {
  o as Table,
  s as TableBody,
  f as TableCaption,
  n as TableCell,
  m as TableFooter,
  b as TableHead,
  d as TableHeader,
  c as TableRow
};
//# sourceMappingURL=index.es11.js.map
