import * as e from "react";
import { Slot as d } from "@radix-ui/react-slot";
import { cva as c } from "class-variance-authority";
import { cn as u } from "./index.es7.js";
const m = c(
  "inline-flex items-center justify-center whitespace-nowrap rounded-md text-sm font-medium transition-colors focus-visible:outline-none focus-visible:ring-1 focus-visible:ring-ring disabled:pointer-events-none disabled:opacity-50",
  {
    variants: {
      variant: {
        default: "bg-primary text-primary-foreground shadow hover:bg-primary/90",
        destructive: "bg-destructive text-destructive-foreground shadow-sm hover:bg-destructive/90",
        outline: "border border-input bg-background shadow-sm hover:bg-accent hover:text-accent-foreground",
        secondary: "bg-secondary text-secondary-foreground shadow-sm hover:bg-secondary/80",
        ghost: "hover:bg-accent hover:text-accent-foreground",
        link: "text-primary underline-offset-4 hover:underline"
      },
      size: {
        default: "h-9 px-4 py-2",
        sm: "h-8 rounded-md px-3 text-xs",
        lg: "h-10 rounded-md px-8",
        icon: "h-9 w-9"
      }
    },
    defaultVariants: {
      variant: "default",
      size: "default"
    }
  }
), f = e.forwardRef(
  ({ className: t, variant: r, size: o, asChild: n = !1, ...a }, i) => {
    const s = n ? d : "button";
    return /* @__PURE__ */ e.createElement(
      s,
      {
        className: u(m({ variant: r, size: o, className: t })),
        ref: i,
        ...a
      }
    );
  }
);
f.displayName = "Button";
export {
  f as Button,
  m as buttonVariants
};
//# sourceMappingURL=index.es12.js.map
