import * as e from "react";
import * as t from "@radix-ui/react-dialog";
import { Cross2Icon as d } from "@radix-ui/react-icons";
import { cn as l } from "./index.es7.js";
const y = t.Root, r = t.Portal, n = e.forwardRef(({ className: a, ...o }, s) => /* @__PURE__ */ e.createElement(
  t.Overlay,
  {
    ref: s,
    className: l(
      "fixed inset-0 z-50 bg-black/80  data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0",
      a
    ),
    ...o
  }
));
n.displayName = t.Overlay.displayName;
const c = e.forwardRef(({ className: a, children: o, ...s }, i) => /* @__PURE__ */ e.createElement(r, null, /* @__PURE__ */ e.createElement(n, null), /* @__PURE__ */ e.createElement(
  t.Content,
  {
    ref: i,
    className: l(
      "fixed left-[50%] top-[50%] z-50 grid w-full max-w-lg translate-x-[-50%] translate-y-[-50%] gap-4 border bg-background p-6 shadow-lg duration-200 data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[state=closed]:slide-out-to-left-1/2 data-[state=closed]:slide-out-to-top-[48%] data-[state=open]:slide-in-from-left-1/2 data-[state=open]:slide-in-from-top-[48%] sm:rounded-lg",
      a
    ),
    ...s
  },
  o,
  /* @__PURE__ */ e.createElement(t.Close, { className: "absolute right-4 top-4 rounded-sm opacity-70 ring-offset-background transition-opacity hover:opacity-100 focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2 disabled:pointer-events-none data-[state=open]:bg-accent data-[state=open]:text-muted-foreground" }, /* @__PURE__ */ e.createElement(d, { className: "h-4 w-4" }), /* @__PURE__ */ e.createElement("span", { className: "sr-only" }, "Close"))
)));
c.displayName = t.Content.displayName;
const m = ({
  className: a,
  ...o
}) => /* @__PURE__ */ e.createElement(
  "div",
  {
    className: l(
      "flex flex-col space-y-1.5 text-center sm:text-left",
      a
    ),
    ...o
  }
);
m.displayName = "DialogHeader";
const f = e.forwardRef(({ className: a, ...o }, s) => /* @__PURE__ */ e.createElement(
  t.Title,
  {
    ref: s,
    className: l(
      "text-lg font-semibold leading-none tracking-tight",
      a
    ),
    ...o
  }
));
f.displayName = t.Title.displayName;
const p = e.forwardRef(({ className: a, ...o }, s) => /* @__PURE__ */ e.createElement(
  t.Description,
  {
    ref: s,
    className: l("text-sm text-muted-foreground", a),
    ...o
  }
));
p.displayName = t.Description.displayName;
export {
  y as Dialog,
  c as DialogContent,
  p as DialogDescription,
  m as DialogHeader,
  n as DialogOverlay,
  r as DialogPortal,
  f as DialogTitle
};
//# sourceMappingURL=index.es16.js.map
