import { cn as p } from "./index.es7.js";
import { Paperclip as g, Eye as R, Trash as d } from "lucide-react";
import { useRef as E, useMemo as v, useEffect as h, useState as w } from "react";
import { Label as u } from "./index.es8.js";
import { Input as f } from "./index.es9.js";
import { SDImageInputPreview as N } from "./index.es10.js";
import { Table as x, TableBody as y, TableRow as I, TableCell as b } from "./index.es11.js";
import { buttonVariants as D, Button as L } from "./index.es12.js";
function V({
  label: c,
  className: i,
  inputClasses: s,
  file: t,
  onChange: r
}) {
  const l = E(null), a = v(() => {
    if (t && typeof t == "object") {
      const e = URL.createObjectURL(t), o = {
        imgName: t.name,
        imgURL: e
      }, n = new Image();
      return n.src = e, n.onload = () => {
        o.height = n.height, o.width = n.width;
      }, o;
    }
    return null;
  }, [t]);
  function m() {
    t && r(void 0);
  }
  return h(() => {
    const e = (o) => {
      o.preventDefault(), o.stopPropagation();
      const { files: n } = o.dataTransfer;
      console.log(n), n && n.length && r(n[0]);
    };
    if (l.current)
      return l.current.addEventListener("drop", e), () => {
        l.current && l.current.removeEventListener("drop", e);
      };
  }, []), /* @__PURE__ */ React.createElement("div", { className: i, ref: l }, /* @__PURE__ */ React.createElement(u, { htmlFor: c }, c), /* @__PURE__ */ React.createElement("div", { className: `${s} flex gap-2` }, !a && /* @__PURE__ */ React.createElement(React.Fragment, null, /* @__PURE__ */ React.createElement(
    f,
    {
      placeholder: "Type your URL or drop a file",
      value: String(t || ""),
      onChange: (e) => r(e.target.value)
    }
  ), /* @__PURE__ */ React.createElement(
    u,
    {
      htmlFor: `file-input-${c}`,
      className: "flex justify-center items-center"
    },
    /* @__PURE__ */ React.createElement("div", { className: p(D({ variant: "outline", className: "cursor-pointer hover:bg-gray-50 transition-colors" })) }, /* @__PURE__ */ React.createElement(g, { size: 18 }))
  ), /* @__PURE__ */ React.createElement(
    f,
    {
      id: `file-input-${c}`,
      accept: "image/*",
      className: "hidden",
      onChange: (e) => {
        console.log(e), e?.target.files && r(e.target.files[0]);
      },
      type: "file"
    }
  )), a && /* @__PURE__ */ React.createElement(
    T,
    {
      viewList: [a],
      onDelete: m,
      onMaskChange: (e) => r(e)
    }
  )));
}
function T({ viewList: c, onDelete: i, onMaskChange: s }) {
  const [t, r] = w(null);
  if (!c)
    return;
  function l(a) {
    s(a), r(null);
  }
  return /* @__PURE__ */ React.createElement(React.Fragment, null, t && /* @__PURE__ */ React.createElement(
    N,
    {
      image: t,
      onClose: () => r(null),
      onMaskChange: l
    }
  ), /* @__PURE__ */ React.createElement(x, null, /* @__PURE__ */ React.createElement(y, null, c.map((a) => /* @__PURE__ */ React.createElement(I, { key: a.imgName, className: "w-full " }, /* @__PURE__ */ React.createElement(b, { className: "font-medium py-2 w-full flex justify-between items-center" }, /* @__PURE__ */ React.createElement(
    "div",
    {
      className: "flex justify-between flex-auto items-center hover:text-slate-600 ease-in-out duration-200 cursor-pointer",
      onClick: (m) => {
        m.preventDefault(), r(a);
      }
    },
    /* @__PURE__ */ React.createElement("p", { className: "text-ellipsis overflow-hidden max-w-[250px]" }, a.imgName),
    /* @__PURE__ */ React.createElement(R, null)
  ), i && /* @__PURE__ */ React.createElement(L, { variant: "ghost" }, /* @__PURE__ */ React.createElement(
    d,
    {
      className: "text-red-700 hover:text-red-600 ease-in-out",
      size: 20,
      onClick: (m) => {
        m.preventDefault(), i();
      }
    }
  ))))))));
}
export {
  V as SDImageInput
};
//# sourceMappingURL=index.es3.js.map
